## com.bbn.openmap.dataAccess.image.geotiff
Class GeoTIFFImageReaderLoader

    java.lang.Object
      com.bbn.openmap.dataAccess.image.geotiff.GeoTIFFImageReaderLoader

All Implemented Interfaces:
  ImageReaderLoader

public class GeoTIFFImageReaderLoader
extends java.lang.Object
implements ImageReaderLoader

An ImageReaderLoader that looks for GeoTIFF images to pass to GeoTIFFImageReaders.

Author:
  dietrick

Constructor Summary
`GeoTIFFImageReaderLoader()`

Method Summary
`ImageReader` `getImageReader(java.net.URL fileURL)`
`boolean` `isLoadable(java.lang.String fileName)` A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.
`boolean` `isLoadable(java.net.URL fileURL)` A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoTIFFImageReaderLoader

    public GeoTIFFImageReaderLoader()

Method Detail

### getImageReader

    public ImageReader getImageReader(java.net.URL fileURL)

  Specified by:
    `getImageReader` in interface `ImageReaderLoader`
  Parameters:
    `fileURL` - a URL for an image file.
  Returns:
    an ImageReader loaded with the image file contents, or null if the image can't be handled.

### isLoadable

    public boolean isLoadable(java.lang.String fileName)

  Description copied from interface: `ImageReaderLoader`
  A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

  Specified by:
    `isLoadable` in interface `ImageReaderLoader`
  Parameters:
    `fileName` - path to image file.
  Returns:
    true if yes.

### isLoadable

    public boolean isLoadable(java.net.URL fileURL)

  Description copied from interface: `ImageReaderLoader`
  A query method used to ask the ImageReaderLoader if an image can be handled by the ImageReader it represents.

  Specified by:
    `isLoadable` in interface `ImageReaderLoader`
  Parameters:
    `fileURL` - URL of image file.
  Returns:
    true if yes.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details